local t = Def.ActorFrame {
    Def.ActorFrame { Name="Background";
        LoadActor( "back" ) .. {
            InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;scale_or_crop_background);
        };
--~         LoadActor( "bg2" ) .. {
--~             InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;scale_or_crop_background;blend,"BlendMode_Add";diffuseshift;effectcolor1,0.5,0.5,0.5,1;effectcolor2,0.25,0.25,0.25,1);
--~         };
        LoadActor( "stripes" ) .. {
            InitCommand=cmd(texcoordvelocity,0.1,0;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;zoomto,SCREEN_WIDTH*2,SCREEN_HEIGHT;diffusealpha,0.5;diffusebottomedge,1,1,1,0.25;skewx,-0.25);
        };
    };
    Def.ActorFrame { Name="LogoBackground";
        LoadActor( "BG Underlay" ) .. {
            InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;pulse;effectmagnitude,1.25,1,1;effectclock,'beat';effecttiming,0.6*2,0.2*2,0.2*2,0;);
            OnCommand=cmd(sleep,3;playcommand,"TweenOff");
        };
        -- This Animates
        Def.Quad {
            InitCommand=cmd(zoomto,SCREEN_WIDTH,140;x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y+8;diffuse,0,0,0,0.5);
            TweenOffCommand=cmd(linear,1.25;diffusealpha,0.5);
            TweenOnCommand=cmd(finishtweening;diffusealpha,0.5;linear,1.25;diffusealpha,0);
        };
    };
    LoadActor( THEME:GetPathG('ScreenLogo',GAMESTATE:GetCurrentGame():GetName()) ) .. {
        InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;);
--~         OnCommand=cmd(finishtweening;x,SCREEN_WIDTH*1.5;decelerate,1;x,SCREEN_CENTER_X);
--~         OffCommand=cmd(finishtweening;x,SCREEN_CENTER_X;accelerate,1;x,-SCREEN_WIDTH*1.5);
    };
	LoadFont("Fancy","Header") .. {
		Text=GetThemeVersion();
		InitCommand=cmd(x,SCREEN_CENTER_X+(464/2);y,SCREEN_CENTER_Y-34;horizalign,right;diffuse,color("#ed1c24");diffusebottomedge,color("#f7941d");;shadowlength,0);
--~         OnCommand=cmd(finishtweening;x,SCREEN_WIDTH*1.5+(464/2);decelerate,1;x,SCREEN_CENTER_X+(464/2));
--~         OffCommand=cmd(finishtweening;x,SCREEN_CENTER_X+(464/2);accelerate,1;x,-SCREEN_WIDTH*1.5+(464/2));
	};
};

return t